﻿using TestRapport.RapportClassLibrary;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Controls.Reports;

namespace TestRapport.WPFRapport
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            CultureInfo ci = CultureInfo.CreateSpecificCulture(CultureInfo.CurrentCulture.Name);
            ci.DateTimeFormat.ShortDatePattern = "dd/MM/yyyy";
            ci.DateTimeFormat.DateSeparator = "-";
            Thread.CurrentThread.CurrentCulture = ci;

            datePickerBeginDatum.DisplayDate = DateTime.Today.AddDays(-7);
            datePickerBeginDatum.SelectedDate = DateTime.Today.AddDays(-7);
            datePickerEindDatum.DisplayDate = DateTime.Today.AddDays(-1);
            datePickerEindDatum.SelectedDate = DateTime.Today.AddDays(-1);

            BindComboBoxGebruiker(comboBoxGebruiker);
        }

        public void BindComboBoxGebruiker(ComboBox comboBoxName)
        {
            DataSet dsGebruiker = OpenConnectionGebruiker();
            comboBoxName.ItemsSource = dsGebruiker.Tables[0].DefaultView;
            comboBoxName.DisplayMemberPath = dsGebruiker.Tables[0].Columns["Useraccount_Last_Name"].ToString();
            comboBoxName.SelectedValuePath = dsGebruiker.Tables[0].Columns["Useraccount_ID"].ToString();            
        }

        private static DataSet OpenConnectionGebruiker()
        {
            string strConnectionGebruiker = ConfigurationManager.ConnectionStrings["TestRapport.RapportClassLibrary.Properties.Settings.sqlDS_Gebruikers"].ConnectionString;
            SqlConnection connectionGebruiker = new SqlConnection(strConnectionGebruiker);
            SqlDataAdapter daGebruiker = new SqlDataAdapter("SELECT Useraccount_ID, Useraccount_Last_Name, Useraccount_First_Name FROM Application_Useraccounts ORDER BY Useraccount_Last_Name", connectionGebruiker);
            DataSet dsGebruiker = new DataSet();
            daGebruiker.Fill(dsGebruiker, "Application_Useraccounts");
            return dsGebruiker;
        }
        
        private void Button_Refresh_Click(object sender, RoutedEventArgs e)
        {
            this.xamReportViewer1.Refresh();
        }
    }
}
